function cMaxSupport = BuildMaximumSupportTest(options);
%the support of the minimum are those pixels wich are within .5 of the appropriate line (L1)
for i = 1:options.NOrientations
   cMaxSupport{i} = zeros(options.CellSupportSize);
   o(i) = (pi * (i-1)) / options.NOrientations - 1 * pi/2;
   u = [sin(-o(i)),cos(-o(i))];
   u = u / norm(u);
   for x = 1:options.CellSupportSize 
      for y = 1:options.CellSupportSize
        x2 = x - options.CellSupportSize / 2 - .5;  
        y2 = y - options.CellSupportSize / 2 - .5;  
        r = [y2, x2];
 	d = abs(r * u');
 	if(d < options.Thickness)
 	  cMaxSupport{i}(y,x) = 1;
 	end
      end
   end
end 
     
   